Package fr.gouv.vitam.worker.core.plugin.purge

# Class PurgeDeleteCollectService

java.lang.Object
fr.gouv.vitam.worker.core.plugin.purge.CommonPurgeDeleteService
fr.gouv.vitam.worker.core.plugin.purge.PurgeDeleteCollectService

public class PurgeDeleteCollectService extends CommonPurgeDeleteService
PurgeDeleteService class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PurgeDeleteCollectService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteObjectGroups(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler)`
  `void`
  `deleteObjects(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler)`
  `void`
  `storageDeleteBinaries(List<PurgeObjectGroupParams> objectGroupParams, DataCategory dataCategory, String fileExtension, HandlerIO handler)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.purge.CommonPurgeDeleteService

  `deleteUnits, detachObjectGroupFromDeleteParentUnits`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PurgeDeleteCollectService

    public PurgeDeleteCollectService()

- ## Method Details

  - ### deleteObjects

    public void deleteObjects(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler) throws ProcessingStatusException
    Overrides:
      `deleteObjects` in class `CommonPurgeDeleteService`
    Throws:
      `ProcessingStatusException`

  - ### deleteObjectGroups

    public void deleteObjectGroups(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataClientServerException, LogbookClientBadRequestException, LogbookClientServerException
    Specified by:
      `deleteObjectGroups` in class `CommonPurgeDeleteService`
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataClientServerException`
      `LogbookClientBadRequestException`
      `LogbookClientServerException`

  - ### storageDeleteBinaries

    public void storageDeleteBinaries(List<PurgeObjectGroupParams> objectGroupParams, DataCategory dataCategory, String fileExtension, HandlerIO handler) throws ContentAddressableStorageNotFoundException, ContentAddressableStorageServerException
    Specified by:
      `storageDeleteBinaries` in class `CommonPurgeDeleteService`
    Throws:
      `ContentAddressableStorageNotFoundException`
      `ContentAddressableStorageServerException`